#include "ModbusRtu.h"

//Variaveis modbus
uint16_t VAR_Freq_Max[1];     //0-400Hz
uint16_t VAR_Acc[1];          //0-3600seg
uint16_t VAR_Dec[1];          //0-3600seg
uint16_t VAR_Rpm_Act[1];
uint16_t VAR_Comandos[1];
uint16_t VAR_Speed[1];
uint16_t VAR_Falha[1];
uint8_t u8state;

//Variaveis de controle do inversor
int16_t MOD_Freq_Max = 0;     //00.03H
int16_t MOD_Acc = 0;          //00.11H
int16_t MOD_Dec = 0;          //00.12H
int16_t MOD_Rpm_Act = 0;      //17.05H
int16_t MOD_Move_FWD = 0;     //2000.1H
int16_t MOD_Move_BWD = 0;     //2000.2H
int16_t MOD_Jog_FWD = 0;      //2000.3H
int16_t MOD_Jog_BWD = 0;      //2000.4H
int16_t MOD_Move_STOP = 0;    //2000.5H
int16_t MOD_Fast_STOP = 0;    //2000.6H
int16_t MOD_Reset_ERROR = 0;  //2000.7H
int16_t MOD_Jog_STOP = 0;     //2000.8H
int16_t MOD_Speed = 0;        //2001H
int16_t MOD_Falha = 0;        //2102H

//this is master and RS-485
Modbus master(0, Serial2, 2); 
modbus_t Comm_MB;

#include "Comm_MB.h"

void setup() {
  master.begin(19200); // baud-rate at 19200 for modbus
  master.setTimeOut(500); // if there is no answer in 2000 ms, roll over
  Serial.begin(115200); //inicio comnicação serial usb

}

void loop() {
  
}
